Bug 1159335 - man statfs out of date
Summary: man statfs out of date
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: man-pages-overrides
Version: 6.6
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Jan Chaloupka
QA Contact: Iveta Wiedermann
URL:
Whiteboard:
Depends On:
Blocks: 1195143
TreeView+ depends on / blocked
 
Reported: 2014-10-31 15:09 UTC by Ken Olum
Modified: 2015-07-22 06:20 UTC (History)
3 users (show)

Fixed In Version: man-pages-overrides-6.7.5-1.el6
Doc Type: Bug Fix
Doc Text:
Previously, the statfs struct section in the statfs(2) manual page did not mention the "f_flags" and "f_spare" fields. This update adds the missing fields to statfs(2).
Clone Of:
Environment:
Last Closed: 2015-07-22 06:20:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1295 normal SHIPPED_LIVE man-pages-overrides bug fix update 2015-07-20 17:54:02 UTC

Description Ken Olum 2014-10-31 15:09:46 UTC
"man statfs" in both RHEL 6.4 and 6.6 gives an out-of-date
description of the statfs structure.  It claims that it ends with
f_namelen, but the structure in /usr/include/bits/statfs.h has more fields.

Comment 2 Jan Chaloupka 2014-10-31 20:18:56 UTC
Hi Ken,

statfs.2 from rawhide can be taken. There is just one issue. The last field in statfs struct ends with:

    __SWORD_TYPE f_flags;
    __SWORD_TYPE f_spare[4];
  };

f_spare[4], here four. But in man page, there is f_spare[5] (here five). This could be just a typo in man page. I will ask upstream about that.

Comment 4 Jan Chaloupka 2015-02-09 08:45:38 UTC
Partially solved in thread [1]. However, statfs.2 is still being discussed.

[1] http://www.spinics.net/lists/linux-man/msg07979.html

Comment 14 errata-xmlrpc 2015-07-22 06:20:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1295.html


Note You need to log in before you can comment on or make changes to this bug.